"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const StringUtils_1 = require("./util/StringUtils");
const DynatraceNative = react_native_1.NativeModules.DynatraceBridge;
class DynatraceAction {
    constructor(key) {
        this.key = key;
    }
    reportError(errorName, errorCode, platform) {
        if (!StringUtils_1.StringUtils.isStringNullEmptyOrWhitespace(errorName)) {
            DynatraceNative.reportErrorInAction(this.key, errorName, errorCode, platform);
        }
    }
    reportEvent(eventName, platform) {
        if (!StringUtils_1.StringUtils.isStringNullEmptyOrWhitespace(eventName)) {
            DynatraceNative.reportEventInAction(this.key, eventName, platform);
        }
    }
    reportStringValue(valueName, value, platform) {
        if (!StringUtils_1.StringUtils.isStringNullEmptyOrWhitespace(valueName)) {
            DynatraceNative.reportStringValueInAction(this.key, valueName, value, platform);
        }
    }
    reportIntValue(valueName, value, platform) {
        if (!StringUtils_1.StringUtils.isStringNullEmptyOrWhitespace(valueName)) {
            DynatraceNative.reportIntValueInAction(this.key, valueName, value, platform);
        }
    }
    reportDoubleValue(valueName, value, platform) {
        if (!StringUtils_1.StringUtils.isStringNullEmptyOrWhitespace(valueName)) {
            DynatraceNative.reportDoubleValueInAction(this.key, valueName, value, platform);
        }
    }
    leaveAction(platform) {
        DynatraceNative.leaveAction(this.key, platform);
    }
}
exports.DynatraceAction = DynatraceAction;
